curl --url https://try.flipt.io/api/v1/namespaces/default/flags \
--header 'Accept: application/json'
{
"flags": [
{
"key": "<string>",
"name": "<string>",
"description": "<string>",
"enabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"variants": [
{
"id": "<string>",
"flagKey": "<string>",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"attachment": "<string>",
"namespaceKey": "<string>"
}
],
"namespaceKey": "<string>",
"defaultVariant": {
"id": "<string>",
"flagKey": "<string>",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"attachment": "<string>",
"namespaceKey": "<string>"
},
"metadata": {}
}
],
"nextPageToken": "<string>",
"totalCount": 123
}Flags
List Flags
GET
/
api
/
v1
/
namespaces
/
{namespaceKey}
/
flags
curl --url https://try.flipt.io/api/v1/namespaces/default/flags \
--header 'Accept: application/json'
{
"flags": [
{
"key": "<string>",
"name": "<string>",
"description": "<string>",
"enabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"variants": [
{
"id": "<string>",
"flagKey": "<string>",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"attachment": "<string>",
"namespaceKey": "<string>"
}
],
"namespaceKey": "<string>",
"defaultVariant": {
"id": "<string>",
"flagKey": "<string>",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"attachment": "<string>",
"namespaceKey": "<string>"
},
"metadata": {}
}
],
"nextPageToken": "<string>",
"totalCount": 123
}Documentation Index
Fetch the complete documentation index at: https://docs.flipt.io/llms.txt
Use this file to discover all available pages before exploring further.
curl --url https://try.flipt.io/api/v1/namespaces/default/flags \
--header 'Accept: application/json'
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Was this page helpful?
⌘I